package test.com.fp.excel;

import com.fp.excel.*;
import java.io.FileNotFoundException;
import java.util.List;
import java.util.Map;


/**
 *
 * @author Ingeniero Marco Almeida P.
 * 23-Dic-2011
 */
public class ExcelToMapMain implements ExcelToMapMessages{

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws FileNotFoundException {
        
        ExcelToMap wmp = new ExcelToMap (ExcelToMapMain.FILE_PATH);  
        
        if(wmp.get_Workbook_Status().equals(ExcelToMapMain.WORKBOOK_CREATED)){
            
           List<Map<String, Object>> ldata = wmp.get_Especific_Data(0,11,0,2);
           
           for(Map<String, Object> mp : ldata){
               
                String key = "0:1";
               
                    if(mp.containsKey(key)){            
                        Object obj = mp.get(key);
                        System.out.println(obj.toString());            
                    }else{
                        Object obj = "blank";
                        System.out.println(obj.toString());
                    }           
           }
        
        }else{
            
            System.err.println(wmp.get_Workbook_Status());
        
        }       
    }    
}
